org.bdgenomics.adam.models

# SequenceDictionary

#### class SequenceDictionary extends Serializable

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SequenceDictionary
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new SequenceDictionary()

2. #### new SequenceDictionary(records: Vector[SequenceRecord])

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(record: SequenceRecord): SequenceDictionary

5. #### def ++(that: SequenceDictionary): SequenceDictionary

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### def apply(name: String): Option[SequenceRecord]

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def containsRefName(name: String): Boolean

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(o: Any): Boolean

    Definition Classes
      SequenceDictionary → AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      SequenceDictionary → AnyRef → Any

17. #### def isCompatibleWith(that: SequenceDictionary): Boolean

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### val records: Vector[SequenceRecord]

23. #### def sorted: SequenceDictionary

    Sort the records in a sequence dictionary.

    Sort the records in a sequence dictionary.

    returns

      Returns a new sequence dictionary where the sequence records are sorted. If the sequence records have indices, the records will be sorted by their indices. If not, the sequence records will be sorted lexically by contig name.

    See also

      stripIndices

24. #### def stripIndices: SequenceDictionary

    Strips indices from a Sequence Dictionary.

    Strips indices from a Sequence Dictionary.

    returns

      This returns a new sequence dictionary devoid of indices. This is important for sorting: the default sort in ADAM is based on a lexical ordering, while the default sort in SAM is based on sequence indices. If the indices are not stripped before a file is saved back to SAM/BAM, the SAM/BAM header sequence ordering will not match the sort order of the records in the file.

    See also

      sorted

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### def toSAMSequenceDictionary: SAMSequenceDictionary

    Converts this ADAM style sequence dictionary into a SAM style sequence dictionary.

    Converts this ADAM style sequence dictionary into a SAM style sequence dictionary.

    returns

      Returns a SAM formatted sequence dictionary.

27. #### def toString(): String

    Definition Classes
      SequenceDictionary → AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped